Payslips & compensation

Get Hris Compensation History

Returns an employee's base-salary change history (pending, scheduled, applied) derived from change requests.

GEThttps://api.toku.com/hris/get-hris-compensation-history

Required scope: compensation:read

curl --request GET \
  --url 'https://api.toku.com/hris/get-hris-compensation-history?roleInOrgID=%3CroleInOrgID%3E' \
  --header 'Authorization: Bearer <token>'
200 response
{
  "entries": [
    {
      "hrisChangeRequestId": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
      "state": "PENDING",
      "effectiveDate": "string",
      "appliedAt": "string",
      "requestedAt": "string",
      "requestedByName": "string",
      "reviewedByName": "string",
      "oldSalary": "string",
      "newSalary": "string",
      "oldCurrency": "string",
      "newCurrency": "string",
      "oldPaymentType": "string",
      "newPaymentType": "string"
    }
  ]
}

Authorizations

Authorizationstringheaderrequired

Bearer authentication header of the form Bearer <token>, where <token> is an access token from a Toku sign-in. See Authentication in the API reference.

Query parameters

roleInOrgIDstring<uuid>required

Response

200Successful response
entriesobject[]required
Show child attributes
hrisChangeRequestIdstring<uuid>required
statestringrequired

Available options: PENDING, SCHEDULED, APPLIED

effectiveDatestring | nullrequired
appliedAtstring | nullrequired
requestedAtstringrequired
requestedByNamestring | nullrequired
reviewedByNamestring | nullrequired
oldSalarystring | nullrequired
newSalarystring | nullrequired
oldCurrencystring | nullrequired
newCurrencystring | nullrequired
oldPaymentTypestring | nullrequired
newPaymentTypestring | nullrequired
400Bad request
401Unauthorized
403Forbidden
404Not found
409Conflict
429Response 429
Was this page helpful? Suggest edits